import { defHttp } from '@/utils/http/axios';
enum Api {
  GetWorkspaceList = '/api/Manage/GetWorkspaceList',

  // 获取地图图片列表
  GetMediaFile = '/api/AirportMaintenance/GetMediaFile',
  // 更新地图图片
  UpdatePicStatus = '/api/AirportMaintenance/UpdatePicStatus',
  // 删除地图图片
  deletepic = '/api/AirportMaintenance/deletepic',
  // 修改地图图片名称
  UpdatePicName = '/api/AirportMaintenance/UpdatePicName',
  // 修改地图图片parentkey
  UpdatePicParentKey = '/api/AirportMaintenance/UpdatePicParentKey',
  // 获取媒体库目录树-用于移动文件夹
  ListMediaFolder = '/api/Manage/ListMediaFolder',
  // 媒体库新建文件夹
  CreateMediaFolder = '/api/Manage/CreateMediaFolder',

  // 获取地图标注列表
  GetAnnotationList = '/api/Manage/GetAnnotationList',
  // 添加地图标注
  AddAnnotation = '/api/Manage/AddAnnotation',
  // 更新地图标注
  UpdateAnnotation = '/api/Manage/UpdateAnnotation',
  // 删除地图标注
  DeleteAnnotation = '/api/Manage/DeleteAnnotation',

  // 获取地图作业区域列表
  GetWorkAreaList = '/api/Manage/GetWorkAreaList',
  // 添加地图作业区域
  AddWorkArea = '/api/Manage/AddWorkArea',
  // 更新地图作业区域
  UpdateWorkArea = '/api/Manage/UpdateWorkArea',
  // 删除地图作业区域
  DeleteWorkArea = '/api/Manage/DeleteWorkArea',
}

// 获取项目列表
export function GetWorkspaceList(params?) {
  return defHttp.get({
    url: Api.GetWorkspaceList,
    params,
  });
}

// 获取地图图片列表
export function GetMediaFile(params) {
  return defHttp.get({
    url: Api.GetMediaFile,
    params
  });
}
// 更新地图图片
export function UpdatePicStatus(params) {
  return defHttp.get({
    url: Api.UpdatePicStatus,
    params
  });
}
// 删除地图图片
export function Deletepic(params) {
  return defHttp.get({
    url: Api.deletepic,
    params
  });
}
// 修改地图图片名称
export function UpdatePicName(params) {
  return defHttp.get({
    url: Api.UpdatePicName,
    params
  });
}
// 修改地图图片parentkey
export function UpdatePicParentKey(params) {
  return defHttp.get({
    url: Api.UpdatePicParentKey,
    params
  });
}
// 获取媒体库目录树-用于移动文件夹
export function ListMediaFolder(params) {
  return defHttp.get({
    url: Api.ListMediaFolder,
    params
  });
}
// 媒体库新建文件夹
export function CreateMediaFolder(params) {
  return defHttp.post({
    url: Api.CreateMediaFolder + '?name=' + params.name + '&parentKey=' + params.parentKey,
    params
  });
}

// 获取地图标注列表
export function GetAnnotationList(params) {
  return defHttp.get({
    url: Api.GetAnnotationList,
    params
  });
}
// 添加地图标注
export function AddAnnotation(params) {
  return defHttp.post({
    url: Api.AddAnnotation,
    data:params
  });
}
// 更新地图标注
export function UpdateAnnotation(params) {
  return defHttp.post({
    url: Api.UpdateAnnotation,
    data:params
  });
}
// 删除地图标注
export function DeleteAnnotation(params) {
  return defHttp.post({
    url: Api.DeleteAnnotation + '?id=' + params.id,
    data:params
  });
}

// 获取地图作业区域列表
export function GetWorkAreaList(params) {
  return defHttp.get({
    url: Api.GetWorkAreaList,
    params
  });
}
// 添加地图作业区域
export function AddWorkArea(params) {
  return defHttp.post({
    url: Api.AddWorkArea,
    data:params
  });
}
// 更新地图作业区域
export function UpdateWorkArea(params) {
  return defHttp.post({
      url: Api.UpdateWorkArea,
      data:params
  });
}
// 删除地图作业区域
export function DeleteWorkArea(params) {
  return defHttp.post({
      url: Api.DeleteWorkArea + '?id=' + params.id,
      data:params
  });
}
